[oe-commits] Steffen Sledz : ntp: modified config for hipox machine

git version control git at git.openembedded.org
Thu May 27 07:32:02 UTC 2010


Module: openembedded.git
Branch: org.openembedded.dev
Commit: 816630f2b2df3df259dba4d7bfdb2486bc9959e8
URL:    http://gitweb.openembedded.net/?p=openembedded.git&a=commit;h=816630f2b2df3df259dba4d7bfdb2486bc9959e8

Author: Steffen Sledz <sledz at dresearch.de>
Date:   Thu May 27 09:30:52 2010 +0200

ntp: modified config for hipox machine

* don't use externals NTP servers
* use '-x' option to avoid forward time skips

Signed-off-by: Steffen Sledz <sledz at dresearch.de>

---

 recipes/ntp/files/hipox/ntp.conf |   13 ++++++++
 recipes/ntp/files/hipox/ntpd     |   62 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+), 0 deletions(-)

diff --git a/recipes/ntp/files/hipox/ntp.conf b/recipes/ntp/files/hipox/ntp.conf
new file mode 100644
index 0000000..57e585c
--- /dev/null
+++ b/recipes/ntp/files/hipox/ntp.conf
@@ -0,0 +1,13 @@
+# This is the most basic ntp configuration file
+# The driftfile must remain in a place specific to this
+# machine - it records the machine specific clock error
+driftfile /etc/ntp.drift
+# This obtains a random server which will be close
+# (in IP terms) to the machine.  Add other servers
+# as required, or change this.
+#server pool.ntp.org
+# Using local hardware clock as fallback
+server 127.127.1.0
+fudge 127.127.1.0 stratum 14
+# Defining a default security setting
+restrict default nomodify nopeer
diff --git a/recipes/ntp/files/hipox/ntpd b/recipes/ntp/files/hipox/ntpd
new file mode 100755
index 0000000..7d2cd34
--- /dev/null
+++ b/recipes/ntp/files/hipox/ntpd
@@ -0,0 +1,62 @@
+#! /bin/sh
+#
+# ntpd	init.d script for ntpdc from ntp.isc.org
+test -x /usr/bin/ntpd -a -r /etc/ntp.conf || exit 0
+# rcS contains TICKADJ
+test -r /etc/default/rcS && . /etc/default/rcS
+
+# Functions to do individual actions
+settick(){
+  	# If TICKADJ is set we *must* adjust it before we start, because the
+	# driftfile relies on the correct setting
+	test -n "$TICKADJ" -a -x /usr/bin/tickadj && {
+		echo -n "Setting tick to $TICKADJ: "
+		/usr/bin/tickadj "$TICKADJ"
+		echo "done"
+	}
+}
+startdaemon(){
+	# The -g option allows ntpd to step the time to correct it just
+	# once.  The daemon will exit if the clock drifts too much after
+	# this.  If ntpd seems to disappear after a while assume TICKADJ
+	# above is set to a totally incorrect value.
+	echo -n "Starting ntpd: "
+	start-stop-daemon --start -x /usr/bin/ntpd -- -p /var/run/ntp.pid "$@"
+	echo "done"
+}
+stopdaemon(){
+	echo -n "Stopping ntpd: "
+	start-stop-daemon --stop -p /var/run/ntp.pid
+	echo "done"
+}
+
+case "$1" in
+  start)
+  	settick
+	startdaemon -g -x
+	;;
+  stop)
+  	stopdaemon
+	;;
+  force-reload)
+  	stopdaemon
+  	settick
+	startdaemon -g -x
+	;;
+  restart)
+  	# Don't reset the tick here
+	stopdaemon
+	startdaemon -g -x
+	;;
+  reload)
+  	# Must do this by hand, but don't do -g
+	stopdaemon
+	startdaemon -x
+	;;
+  *)
+	echo "Usage: ntpd { start | stop | restart | reload }" >&2
+	exit 1
+	;;
+esac
+
+exit 0





More information about the Openembedded-commits mailing list